<?php
session_register('cnt_des_dev'); ## Descargadas
session_register('cnt_sin_dev'); ## Sin Gescargar
$target = 'guia';
include ("funciones/funciones_backup.php");
include ("conexion/conexion.php");
include ("Menu/menu_inicio.php");
include ("Usuarios/mensajeros.php");

$nombrepagina = "DESCARGAR DEVOLUCIONES";
encabezado($target);

function escribe_archivo($str_cadena, $str_archivo) {
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}

$_SESSION['cnt_des_dev'] = 0;
$_SESSION['cnt_sin_dev'] = 0;

$user = $_SESSION['validar'];
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo "</td>";
    echo "<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }

    $eliminaObj = new obtiene();
    $eliminaObj->obtener($suc);
    $tabla = $_SESSION['tabla_guia'];

    ?>
    <CENTER>
        <form action="" method="POST" name="backup">
            <table width="335" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Descargar como Devolucion ::..</div></td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Motivo Devolucion:
                    </td>
                    <td width="200" class="miTable_td">
                        <select name="motivo" class="inputbox" style="width:250Px">
                            <?
                            get_motivo($_GET['suc'], $_POST['motivo']);
                            ?>
                        </select>
                        <input type="hidden" name="tabla" value="<?
                        echo $tabla;
                        ?>" class="inputbox">
                    </td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Guia No:
                    </td>
                    <td width="200" class="miTable_td">

        <!--<input type="text" name="guia" class="inputbox">-->
                        <textarea cols="45" rows="15" name="guia" id="guia"></textarea>
                        <input type="text" name="memor" value="" disabled class="inputbox" style="background-color:#E7EEFD;border-collapse:collapse; border:0px">
                        <input type="hidden" name="estado" value="16" class="inputbox">
                        <input type="hidden" name="tabla" value="<?
                        echo $tabla;
                        ?>" class="inputbox">
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Devolucion" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </CENTER>
    <?

    if (isset($_POST['Registrar'])) {
        if (file_exists($_GET['id_user'] . "guias_des_devolucion.txt"))
            unlink($_GET['id_user'] . "guias_des_devolucion.txt");
        if (file_exists($_GET['id_user'] . "guias_sindevolucion.txt"))
            unlink($_GET['id_user'] . "guias_sindevolucion.txt");

        class descargarGuia {

            var $crearObj;
            var $conexionObj;
            var $estado;

            function validar($guia, $tabla, $estado, $motivo) {
                $this->conexionObj = new conexion();
                $this->conexionObj->conectarse();


                //////PREGUNTAR SI EL MOTIVO ES MALAS 2////
                if ($motivo == '2') {
                    $select = $this->conexionObj->consultar("SELECT especial10,ciudad FROM guias_proceso WHERE guia = '" .
                            $guia . "'");
                    $cursor = mysql_num_rows($select);
                    $filas = mysql_fetch_array($select);
                    $vdir = trim($filas[0]);
                    $vciu = trim($filas[1]);

                    IF (!empty($vdir) and !empty($vciu)) {
                        $select = $this->conexionObj->consultar("SELECT dir_normal FROM general WHERE dir_normal='" . $vdir . "' and ciudad='" . $vciu . "'");
                        $cursor = mysql_num_rows($select);
                        if ($cursor > 0) {
                            //////aqui va el mensaje de que no se puede descargar esta guia como mala. si lo anterior no 
                            //////se cumple entonces permite el descargue como Mala Entrega.
                            echo "<script type='text/javascript'>\n";
                            echo "alert('Esta guia no se puede descargar como Mala Direccion.');\n";
                            echo "</script>";
                            exit();
                        }
                    }
                }




                $select_estado = $this->conexionObj->consultar("SELECT id_estado FROM guias_proceso WHERE guia = '" .
                        $guia . "'");
                $cursor = mysql_num_rows($select_estado);
                $filas = mysql_fetch_array($select_estado);
                $var_estado = $filas[0];

                if ($cursor >= 1) {
                    switch ($var_estado) {
                        case 12:
                            $str_mensaje = "EN ALISTAMIENTO";
                            break;
                        case 14:
                            $str_mensaje = "ENTREGADA SIN DIGITALIZAR";
                            break;
                        case 15:
                            $str_mensaje = "ENTREGADA DIGITALIZADA";
                            break;
                        case 16:
                            $str_mensaje = "DEVOLUCION";
                            break;
                    }
                } else {
                    $str_mensaje = "NO EXISTE EN EL SISTEMA.";
                }


                //ECHO 'Perfil:'.$_SESSION['perfil'];
                if($_SESSION['perfil']='1'){
                        $rst_select = $this->conexionObj->consultar("SELECT id_estado,id_mensajero,id_planilla,nom_cliente,identificacion,direccion,especial10,ciudad FROM guias_proceso WHERE guia = '" .$guia . "' AND ID_ESTADO IN(13,14,15,16)");
                }else{
                    $rst_select = $this->conexionObj->consultar("SELECT id_estado,id_mensajero,id_planilla,nom_cliente,identificacion,direccion,especial10,ciudad FROM guias_proceso WHERE guia = '" .$guia . "' AND ID_ESTADO IN(13,16)");
                }
               
                $var = mysql_num_rows($rst_select);
                $rows = mysql_fetch_array($rst_select);
                $valid = $rows[0];
                $id_men = $rows[1];
                $id_pla = $rows[2];
                $id_cli = $rows[3];
                $id_id = $rows[4];
                $dir_org = $rows[5];
                $dir_norm = $rows[6];
                $ciu = $rows[7];
                $estado = 16;
                if ($var >= 1) {

$mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno()){
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
}
$result = mysqli_query($mysqli, "select fecha_limite from ordenes o inner join guias_proceso gp on o.orden=gp.orden where gp.guia='".$guia."'");
while($value = mysqli_fetch_assoc($result)){
 $fecha=$value['fecha_limite'];
}
$fecha_entrada = $fecha;
$fecha_actual = date("Y-m-d");
$interval= date_diff($fecha_actual, $fecha_entrada);
if($interval > 0)
{
$resul="<div style='background:darkred;color:white;'>La fecha limite de la orden de servicio ha terminado hace ".$interval." dias. Los registros estan actualizados fuera de Tiempo...".$guia."</div>";
echo $resul;
$estado='22';
}



                    $rst_select = $this->conexionObj->consultar("UPDATE guias_proceso SET id_estado='" .
                            $estado . "', id_devolucion = '" . $motivo .
                            "',path='',caja=0,paquete=0,posicion=0,path='' WHERE guia = '" . $guia . "'");
                    $rst_select = $this->conexionObj->consultar("insert into plani_dev (id_dev, guia, id_mensajero, fecha_dev, hora_dev, id_planilla, id_usuario, id_sucursal, id_devolucion)values (0, '" .
                            $guia . "', '" . $id_men . "', '" . date('Y-m-d') . "', '" . date('H:i:s') .
                            "', '" . $id_pla . "', '" . $_GET['id_user'] . "', '" . $_GET['suc'] . "', '" .
                            $motivo . "')");

                    $affected = mysql_affected_rows();
                    if ($affected == 0) {
                        $result = "<font color='#C90808'>NO SE ACTUALIZO REGISTRO GUIA # " . $guia .
                                "</font>";
                    } else {
                        $this->userObj = new select_zonas();
                        $id = $this->userObj->get_id($guia);
                        $rst_select = $this->conexionObj->consultar("UPDATE rastreo_guias SET E" . $estado .
                                "='" . $estado . "', M" . $estado . "='" . $motivo . "', F" . $estado .
                                " =NOW() WHERE guia = '" . $guia . "'");
                        $this->conexionObj->consultar("UPDATE rastreo_guias SET E14=0,F14='0000-00-00 00:00:00',E15=0,F15='0000-00-00 00:00:00' WHERE guia = '" .
                                $guia . "'");

                        //////////////actualiza la tabla maestra si el motivo devolucion es MALA ENTREGA//////////////
                        if($motivo=='2'){
                        $this->conexionObj->consultar("insert into malas (id_cliente,identificacion,dir_original,dir_normal,ciudad,fecha) 
                            values('".$id_cli."','".$id_id."','".$dir_org."','".$dir_norm."','".$ciu."',date(now())) ON DUPLICATE KEY UPDATE fecha=date(now())");                       
                            $this->conexionObj->consultar("update guias_proceso set id_impresion=1 where guia='".$guia."'");
                        }
                        //$result="<font color='#64870F'>ACTUALIZO GUIA # ".$guia." COMO DEVOLUCION</font>";
                        $result = $guia . ",DEVOLUCION" . chr(13) . chr(10);
                        $_SESSION['cnt_des_dev'] = $_SESSION['cnt_des_dev'] + 1;
                        escribe_archivo($result, $_GET['id_user'] . "guias_des_devolucion.txt");
                    }
                } else {
                    //$result="<font color='#C90808'>LA GUIA # ".$guia." ".$str_mensaje."</font>";
                    $result = $guia . "," . $str_mensaje . chr(13) . chr(10);
                    $_SESSION['cnt_sin_dev'] = $_SESSION['cnt_sin_dev'] + 1;
                    escribe_archivo($result, $_GET['id_user'] . "guias_sindevolucion.txt");
                }
            }

        }

        // FIN DE LA CLASE CREARUSUARIO
        $descargarGuiaObj = new descargarGuia();
        $n_guia = $_POST['guia'];
        $input = explode("\n", $n_guia);
        $arr_guia = array_unique($input);

        for ($ytr = 0; $ytr <= count($arr_guia); $ytr++) {
            $num_guia = trim($arr_guia[$ytr]);
            if (!empty($num_guia)) {
                $descargarGuiaObj->validar($num_guia, $_POST['tabla'], $_POST['estado'], $_POST['motivo']);
            }
        }
    }
    echo "<center><table width='350' border='0' class='primaria'><tr class=miTable_tr><td class=miTable_td><div align='center'>
			<b><div align='center'>Guias Descargadas &nbsp;&nbsp;" . $_SESSION['cnt_des_dev'] .
    "&nbsp;&nbsp;<a href='" . $_GET['id_user'] .
    "guias_des_devolucion.txt' target='_blank'>Ver Detalle</a>&nbsp;&nbsp;
            <a href='descargar.php?f=" . $_GET['id_user'] .
    "guias_des_devolucion.txt'>Descargar</a> </div></b></div></td></tr></table></center></br>";


    echo "<center><table width='350' border='0' class='primaria'><tr class=miTable_tr><td class=miTable_td><div align='center'>
			<b><div align='center'>Guias Sin Descargar &nbsp;&nbsp;" . $_SESSION['cnt_sin_dev'] .
    "&nbsp;&nbsp;<a href='" . $_GET['id_user'] .
    "guias_sindevolucion.txt' target='_blank'>Ver Detalle</a>&nbsp;&nbsp;
            <a href='descargar.php?f=" . $_GET['id_user'] .
    "guias_sindevolucion.txt'>Descargar</a> </div></b></div></td></tr></table></center></br>";
if($_SESSION['area']!=0){
echo "Modulo de Archivo Plano Termporalmente Deshabilitado, aun no tiene permisos para la operacion.";
}else{
    ?>
    <CENTER>
        <IFRAME name=IF align="center" scrolling="no" marginWidth="0" marginHeight="0" src="ejecuta_cargar.php?tipo=2&titulo=Cargar Archivo Devolucion&tabla=<?
    echo $tabla;
    ?>&sucursal=<?
    echo $_GET['suc'];
    ?>" width="90%" height="300" border="0" frameborder="no">
        </IFRAME>
    </CENTER>
                <?
}
                mostrar_pie();
            }
            echo "</td>";
            echo "</tr>";
            echo "</table>";
            echo "<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
            echo "<tbody><tr>";
            echo "<td></td>";
            echo "</tr>";
            echo "<tr>";
            echo "<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
            echo "</tr>";
            echo "<tr>";
            ?><td>
<center>
<? pie_de_pagina(); 
function date_diff($d1, $d2){
    $d1 = (is_string($d1) ? strtotime($d1) : $d1);
    $d2 = (is_string($d2) ? strtotime($d2) : $d2);  
    $diff_secs = ($d1 - $d2);
    return floor($diff_secs / (3600 * 24));
}

?>
</center>
</td>
<?php
echo "</tr>";
echo "</tbody></table>";
echo "</center>";
echo "</body>";
echo "</html>";
?>
